<?php
namespace Mirasvit\SeoAutolink\Service\AddLinks\AddLinks;

/**
 * Interceptor class for @see \Mirasvit\SeoAutolink\Service\AddLinks\AddLinks
 */
class Interceptor extends \Mirasvit\SeoAutolink\Service\AddLinks\AddLinks implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\TemplateEngineInterface $subject, $templates, $replaceHelper)
    {
        $this->___init();
        parent::__construct($subject, $templates, $replaceHelper);
    }

    /**
     * {@inheritdoc}
     */
    public function render(\Magento\Framework\View\Element\BlockInterface $block, $templateFile, array $dictionary = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'render');
        return $pluginInfo ? $this->___callPlugins('render', func_get_args(), $pluginInfo) : parent::render($block, $templateFile, $dictionary);
    }
}
